# QBrush Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QBrush()
- void QBrush(BrushStyle bs)
- void QBrush(GlobalColor color, QPixmap pixmap)
- void QBrush(QBrush brush)
- void QBrush(QColor color, BrushStyle bs)
- void QBrush(QColor color, QPixmap pixmap)
- void QBrush(QGradient gradient)
- void QBrush(QImage image)
- void QBrush(QPixmap pixmap)

### Constructor Properties

- prototype: The QBrush prototype object

### Prototype Object Properties

- QColor color()
- QGradient gradient()
- bool isOpaque()
- QMatrix matrix()
- bool operator_equal(QBrush b)
- void readFrom(QDataStream arg__1)
- void setColor(GlobalColor color)
- void setMatrix(QMatrix mat)
- void setStyle(BrushStyle arg__1)
- void setTexture(QPixmap pixmap)
- void setTextureImage(QImage image)
- void setTransform(QTransform arg__1)
- BrushStyle style()
- void swap(QBrush other)
- QPixmap texture()
- QImage textureImage()
- QTransform transform()
- void writeTo(QDataStream arg__1)

### Instance Properties

QBrush objects have no special properties beyond those inherited from the QBrush prototype object.